Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.cmmf
Class IssuerAndSubject

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.cmmf.IssuerAndSubject

All Implemented Interfaces:
  ASN1Value

public class IssuerAndSubject
extends java.lang.Object
implements ASN1Value

CMMF IssuerAndSubject.

     IssuerAndSubject ::= SEQUENCE {
          issuer          Name,
          subject         Name,
          certReqId       INTEGER OPTIONAL }

Nested Class Summary
`static class` | `IssuerAndSubject.Template` A Template for decoding an `IssuerAndSubject`.

Constructor Summary
`IssuerAndSubject(ANY issuer, ANY subject, INTEGER certReqId)`

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`INTEGER` | `getCertReqId()` Returns the `certReqId` field, which may be `null`.
`ANY` | `getIssuer()` Returns the `issuer` field.
`ANY` | `getSubject()` Returns the `subject` field.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static IssuerAndSubject.Template` | `getTemplate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IssuerAndSubject

    public IssuerAndSubject(ANY issuer,
                            ANY subject,
                            INTEGER certReqId)

Method Detail

### getIssuer

    public ANY getIssuer()

  Returns the `issuer` field.

### getSubject

    public ANY getSubject()

  Returns the `subject` field.

### getCertReqId

    public INTEGER getCertReqId()

  Returns the `certReqId` field, which may be `null`.

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### getTemplate

    public static IssuerAndSubject.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD